JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
CharacterFunctions::HexParser< ResultType > Struct Template Reference
juce_core » text

Parses a character string, to read a hexadecimal value. More...

`#include <juce_CharacterFunctions.h>`

## Static Public Member Functions
template<typename CharPointerType >
static ResultType | parse (CharPointerType t) noexcept

## Detailed Description

template<typename ResultType>
struct CharacterFunctions::HexParser< ResultType >

Parses a character string, to read a hexadecimal value.

## Member Function Documentation

## ◆ parse()

template<typename ResultType >
template<typename CharPointerType >

static ResultType CharacterFunctions::HexParser< ResultType >::parse | ( | CharPointerType | t | ) |
| static noexcept

References CharacterFunctions::getHexDigitValue().

The documentation for this struct was generated from the following file:

- juce_CharacterFunctions.h